Bug 690868 - DOC: Config file is called system.conf but man page is called systemd.conf
DOC: Config file is called system.conf but man page is called systemd.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2011-03-25 12:25 EDT by Andrew McNabb
Modified: 2013-05-15 23:00 EDT (History)
8 users (show)

See Also:
Fixed In Version: systemd-201-2.fc18.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 23:00:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2011-03-25 12:25:14 EDT
Description of problem:

The config file for systemd is located at /etc/systemd/system.conf, but the man page is systemd.conf(5).  It's a little disorienting that these don't match.


Version-Release number of selected component (if applicable):

systemd-20-1.fc15.x86_64
Comment 1 Andrew McNabb 2011-03-25 12:26:32 EDT
By the way, it would be perfectly reasonable for system.conf(5) and user.conf(5) to both go to the same man page--a number of man pages for C library functions do this.
Comment 2 Lennart Poettering 2011-03-29 07:15:00 EDT
The reason we don't install these man pages as "user.conf(5)" or "system.conf(5)" is that those names would be overly generic, and this would most likely clash with something else. For example, D-Bus has /etc/dbus-1/system.conf. So I don't see what we could do about this.
Comment 3 Andrew McNabb 2011-03-31 17:28:16 EDT
That is a little awkward. Part of my confusion was not initially understanding that system.conf and user.conf follow the same format; perhaps if the man page name were something like systemd-conf then it would be more clear that there isn't supposed to be an actual file called systemd.conf. Precedents include snmp_config, fonts-conf, sssd-ldap, and some others in /usr/share/man/man5.

In the specific case of D-Bus, they don't seem to actually have a man page for their system.conf, so maybe systemd can get one in first. :)
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:26:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Zbigniew Jędrzejewski-Szmek 2012-12-01 05:42:10 EST
What about systemd-system.conf and systemd-user.conf?
Comment 6 Fedora End Of Life 2013-01-16 12:41:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-02-13 10:18:20 EST
Renamed to systemd-systemd.conf, a.k.a. systemd-user.conf in http://cgit.freedesktop.org/systemd/systemd/commit/?id=5f9cfd4c38.
Comment 8 Fedora End Of Life 2013-04-03 16:20:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora Update System 2013-04-10 16:15:41 EDT
systemd-201-2.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-201-2.fc18.1
Comment 10 Fedora Update System 2013-04-11 19:28:49 EDT
Package systemd-201-2.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.2
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-04-15 20:03:28 EDT
Package systemd-201-2.fc18.4:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.4
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-04-17 22:41:02 EDT
Package systemd-201-2.fc18.5:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.5
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-05-07 09:42:57 EDT
systemd-201-2.fc18.6 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
Comment 14 Fedora Update System 2013-05-09 06:04:40 EDT
Package systemd-201-2.fc18.6:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-05-15 23:00:04 EDT
systemd-201-2.fc18.6 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.